#import "MyObject.h"

#define NCOLS	(10)

@implementation MyObject
- (id)init
{
    self = [ super init];
    return self;
}

- (void)awakeFromNib
{        
	NSRect frameRect = NSMakeRect(0, 0, 480, 48);
    NSWindow *theWindow = [[[ NSWindow alloc] initWithContentRect:frameRect
                      styleMask:(NSTitledWindowMask|NSClosableWindowMask|NSMiniaturizableWindowMask|NSResizableWindowMask)
                      backing:NSBackingStoreBuffered
                      defer:YES] retain];

    NSMatrix *newMatrix = [[[ NSMatrix alloc] initWithFrame:frameRect mode:NSRadioModeMatrix cellClass:[ NSTextFieldCell class] numberOfRows:1 numberOfColumns:NCOLS] autorelease];
    [ newMatrix setAutosizesCells:YES];
	[ newMatrix setCellSize:NSMakeSize(frameRect.size.width/NCOLS, frameRect.size.height)];
    
    int i;
	NSTextFieldCell *textCell;
    for (i = 0; i < NCOLS; i++) {
		textCell = [ newMatrix cellAtRow:0 column:i];
		[ textCell setSelectable: YES];
		[ textCell setStringValue:@"test text"];
		[ textCell setRefusesFirstResponder:YES];
    }
    [[ theWindow contentView] addSubview:newMatrix];
	[ theWindow center];
    [ theWindow setDelegate:self];
	[ theWindow makeKeyAndOrderFront:self];
}

- (NSSize)windowWillResize:(NSWindow *)sender toSize:(NSSize)proposedFrameSize
{
	[[[[ sender contentView] subviews] objectAtIndex:0] setFrame:NSMakeRect(0, 0, proposedFrameSize.width, (proposedFrameSize.height-22))];
	return proposedFrameSize;
}

@end
